##
##  rclone.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
%define       V_rclone_base  1.69.3
%define       V_rclone_snap  20250522

#   package information
Name:         rclone
Summary:      Cloud Filesystem Cloing
URL:          http://rclone.org/
Vendor:       Nick Craig-Wood
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Filesystem
License:      MIT
Version:      %{V_rclone_base}.%{V_rclone_snap}
Release:      20250522

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/rclone/rclone-%{V_rclone_snap}.tar.xz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, go
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Rclone is a command line program to sync files and directories to
    and from Google Drive, Amazon S3, Openstack Swift / Rackspace cloud
    files / Memset Memstore, Dropbox, Google Cloud Storage, Amazon
    Drive, Microsoft One Drive, Hubic, Backblaze B2, Yandex Disk, SFTP,
    and the local filesystem.

%track
    prog rclone:release = {
        version   = %{V_rclone_base}
        url       = https://github.com/ncw/rclone/releases
        regex     = v(\d+\.\d+(?:\.\d+)?)\.tar\.gz
    }
    prog rclone:snapshot = {
        version   = %{V_rclone_snap}
        url       = http://download.openpkg.org/components/versioned/rclone/
        regex     = rclone-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n rclone

%build
    (   export GOPATH=`pwd`
        cd $GOPATH/src/github.com/ncw/rclone
        go build -v -o rclone rclone.go
    ) || exit $?

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        src/github.com/ncw/rclone/rclone \
        $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        src/github.com/ncw/rclone/rclone.1 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

